Bug 30400 - Convert invoices page tabs to Bootstrap
Summary: Convert invoices page tabs to Bootstrap
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 30398
Blocks: 29226
  Show dependency treegraph
 
Reported: 2022-03-29 16:54 UTC by Owen Leonard
Modified: 2022-04-15 11:19 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30400: Convert invoices page tabs to Bootstrap (4.78 KB, patch)
2022-03-29 17:03 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30400: Convert invoices page tabs to Bootstrap (4.78 KB, patch)
2022-03-31 21:58 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 30400: Convert invoices page tabs to Bootstrap (4.84 KB, patch)
2022-03-31 21:59 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 30400: Convert invoices page tabs to Bootstrap (4.90 KB, patch)
2022-04-03 10:27 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-03-29 16:54:20 UTC
Continuing the process of phasing out jQueryUI, this patch will replace jQueryUI tabs on the invoices page with Bootstrap.
Comment 1 Owen Leonard 2022-03-29 17:03:35 UTC
Created attachment 132482 [details] [review]
Bug 30400: Convert invoices page tabs to Bootstrap

This patch updates the invoices page to use Bootstrap tabs instead of
jQueryUI.

To test, apply the patch and go to Acquisitions.

- Locate a vendor which has multiple invoices associated with it.
- View the vendor details, and click the "Invoices" link in the sidebar.
- Check that the "Open invoices" and "Closed invoices" tabs work
  correctly.
Comment 2 Lucas Gass 2022-03-31 21:58:55 UTC
Created attachment 132810 [details] [review]
Bug 30400: Convert invoices page tabs to Bootstrap

This patch updates the invoices page to use Bootstrap tabs instead of
jQueryUI.

To test, apply the patch and go to Acquisitions.

- Locate a vendor which has multiple invoices associated with it.
- View the vendor details, and click the "Invoices" link in the sidebar.
- Check that the "Open invoices" and "Closed invoices" tabs work
  correctly.
Comment 3 Lucas Gass 2022-03-31 21:59:36 UTC
Created attachment 132811 [details] [review]
Bug 30400: Convert invoices page tabs to Bootstrap

This patch updates the invoices page to use Bootstrap tabs instead of
jQueryUI.

To test, apply the patch and go to Acquisitions.

- Locate a vendor which has multiple invoices associated with it.
- View the vendor details, and click the "Invoices" link in the sidebar.
- Check that the "Open invoices" and "Closed invoices" tabs work
  correctly.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 4 Katrin Fischer 2022-04-03 10:27:57 UTC
Created attachment 132911 [details] [review]
Bug 30400: Convert invoices page tabs to Bootstrap

This patch updates the invoices page to use Bootstrap tabs instead of
jQueryUI.

To test, apply the patch and go to Acquisitions.

- Locate a vendor which has multiple invoices associated with it.
- View the vendor details, and click the "Invoices" link in the sidebar.
- Check that the "Open invoices" and "Closed invoices" tabs work
  correctly.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Fridolin Somers 2022-04-12 09:42:00 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄